- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# meraki_malware – Manage Malware Protection in the Meraki cloud

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Fully configure malware protection in a Meraki environment.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
allowed_files - |  | List of files to whitelist.
| comment string |  | Human readable information about file.
| sha256 string |  | 256-bit hash of file. aliases: hash
allowed_urls - |  | List of URLs to whitelist.
| comment string |  | Human readable information about URL.
| url string |  | URL string to allow.
auth_key string / required |  | Authentication key provided by the dashboard. Required if environmental variable `MERAKI_KEY` is not set.
host string | Default: "api.meraki.com" | Hostname for Meraki dashboard. Can be used to access regional Meraki environments, such as China.
internal_error_retry_time integer | Default: 60 | Number of seconds to retry if server returns an internal server error.
mode - | Choices: disabled enabled | Enabled or disabled state of malware protection.
net_id string |  | ID of network which configuration is applied to.
net_name string |  | Name of network which configuration is applied to. aliases: network
org_id string |  | ID of organization.
org_name string |  | Name of organization. aliases: organization
output_format string | Choices: snakecase ← camelcase | Instructs module whether response keys should be snake case (ex. `net_id`) or camel case (ex. `netId`).
output_level string | Choices: debug normal ← | Set amount of debug output during module execution.
rate_limit_retry_time integer | Default: 165 | Number of seconds to retry if rate limiter is triggered.
state string | Choices: absent present query ← | Specifies whether object should be queried, created/modified, or removed.
timeout integer | Default: 30 | Time to timeout for HTTP requests.
use_https boolean | Choices: no yes ← | If `no`, it will use HTTP. Otherwise it will use HTTPS. Only useful for internal Meraki developers.
use_proxy boolean | Choices: no yes | If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.
validate_certs boolean | Choices: no yes ← | Whether to validate HTTP certificates.

## Notes

Note

- Some of the options are likely only used for developers within Meraki.

- More information about the Meraki API can be found at https://dashboard.meraki.com/api_docs.

- Some of the options are likely only used for developers within Meraki.

- As of Ansible 2.9, Meraki modules output keys as snake case. To use camel case, set the `ANSIBLE_MERAKI_FORMAT` environment variable to `camelcase`.

- Ansible’s Meraki modules will stop supporting camel case output in Ansible 2.13. Please update your playbooks.

## Examples

    - name: Enable malware protection
      meraki_malware:
        auth_key: abc123
        state: present
        org_name: YourOrg
        net_name: YourNet
        mode: enabled
      delegate_to: localhost

    - name: Set whitelisted url
      meraki_malware:
        auth_key: abc123
        state: present
        org_name: YourOrg
        net_name: YourNet
        mode: enabled
        allowed_urls:
          - url: www.google.com
            comment: Google
      delegate_to: localhost

    - name: Set whitelisted file
      meraki_malware:
        auth_key: abc123
        state: present
        org_name: YourOrg
        net_name: YourNet
        mode: enabled
        allowed_files:
          - sha256: e82c5f7d75004727e1f3b94426b9a11c8bc4c312a9170ac9a73abace40aef503
            comment: random zip
      delegate_to: localhost

    - name: Get malware settings
      meraki_malware:
        auth_key: abc123
        state: query
        org_name: YourNet
        net_name: YourOrg
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data complex | success | List of administrators.
| allowed_files complex | success | List of files which are whitelisted.
|  | comment string | success | Comment about the whitelisted entity Sample: TPS report
|  | sha256 string | success | sha256 hash of whitelisted file. Sample: e82c5f7d75004727e1f3b94426b9a11c8bc4c312a9170ac9a73abace40aef503
| allowed_urls complex | success | List of URLs which are whitelisted.
|  | comment string | success | Comment about the whitelisted entity Sample: Corporate HQ
|  | url string | success | URL of whitelisted site. Sample: site.com
| mode string | success | Mode to enable or disable malware scanning. Sample: enabled

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Breit (@kbreit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.